org.apache.fop.afp

## Class AFPDataObjectFactory

- java.lang.Object
- - org.apache.fop.afp.AFPDataObjectFactory

    public class AFPDataObjectFactory
    extends Object

Factory for high level data objects (Image/Graphics etc)

### Constructor Summary

Constructors
Constructor and Description
`AFPDataObjectFactory(Factory factory)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsObject` `createGraphic(AFPGraphicsObjectInfo graphicsObjectInfo)` Creates and returns a new graphics object.
`ImageObject` `createImage(AFPImageObjectInfo imageObjectInfo)` Creates and configures an IOCA Image Object.
`IncludeObject` `createInclude(String includeName, AFPDataObjectInfo dataObjectInfo)` Creates and returns a new include object.
`ObjectContainer` `createObjectContainer(AFPDataObjectInfo dataObjectInfo)` Creates and configures an ObjectContainer.
`ResourceObject` `createResource(AbstractNamedAFPObject namedObj, AFPResourceInfo resourceInfo, Registry.ObjectType objectType)` Creates a resource object wrapper for named includable data objects

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPDataObjectFactory

    public AFPDataObjectFactory(Factory factory)

Main constructor

Parameters:
  `factory` - an object factory

### Method Detail

#### createObjectContainer

    public ObjectContainer createObjectContainer(AFPDataObjectInfo dataObjectInfo)

Creates and configures an ObjectContainer.

Parameters:
  `dataObjectInfo` - the object container info
Returns:
  a newly created Object Container

#### createImage

    public ImageObject createImage(AFPImageObjectInfo imageObjectInfo)

Creates and configures an IOCA Image Object.

Parameters:
  `imageObjectInfo` - the image object info
Returns:
  a newly created IOCA Image Object

#### createGraphic

    public GraphicsObject createGraphic(AFPGraphicsObjectInfo graphicsObjectInfo)

Creates and returns a new graphics object.

Parameters:
  `graphicsObjectInfo` - the graphics object info
Returns:
  a new graphics object

#### createInclude

    public IncludeObject createInclude(String includeName,
                                       AFPDataObjectInfo dataObjectInfo)

Creates and returns a new include object.

Parameters:
  `includeName` - the include name
  `dataObjectInfo` - a data object info
Returns:
  a new include object

#### createResource

    public ResourceObject createResource(AbstractNamedAFPObject namedObj,
                                         AFPResourceInfo resourceInfo,
                                         Registry.ObjectType objectType)

Creates a resource object wrapper for named includable data objects

Parameters:
  `namedObj` - an named object
  `resourceInfo` - resource information
  `objectType` - the object type
Returns:
  a new resource object wrapper